/*---------------------------------------------------------------------------*\
|  Get Lan Server Printer Queues              (C) Alain Rykaert - AUG97-AUG98 |
\*---------------------------------------------------------------------------*/
    Version = '1.04'

    Parse Upper Arg ServerName TargetFile

    If ServerName = '' | TargetFile = ''
      Then Exit
      Else Nop

   '@echo off'

    Call ChkFile Directory()'\qprint.cmd'
    Call ChkFile Directory()'\magicbox.exe'

 GETSTAT:/* -----------------------------------------------------------------*/

    If Stream(TargetFile, 'C', 'Query Exists') = ''
      Then Nop
      Else 'del' TargetFile

   'call qprint' ServerName '>' TargetFile
   'start magicbox' TargetFile 'Printer Queue Information -' ServerName

    Exit

 CHKFILE:/* -----------------------------------------------------------------*/

    Parse Arg FileToCheck

    If Stream(FileToCheck,'C','Query Exists') = ''
      Then Do
             Say '* File not found:' FileToCheck '07'x
             Exit X2D('0800')
          End
      Else Nop

    Return

